searchNodes=[{"doc":"Akin Functions for comparing two strings for similarity using a collection of string comparison algorithms for Elixir. Algorithms can be called independently or in total to return a map of metrics. Options Options accepted in a keyword list (i.e. [ngram_size: 3]). algorithms : algorithms to use in comparision. Accepts the name or a keyword list. Default is algorithms/0. metric - algorithm metric. Default is both &quot;string&quot;: uses string algorithms &quot;phonetic&quot;: uses phonetic algorithms unit - algorithm unit. Default is both. &quot;whole&quot;: uses algorithms best suited for whole string comparison (distance) &quot;partial&quot;: uses algorithms best suited for partial string comparison (substring) level - level for double phonetic matching. Default is &quot;normal&quot;. &quot;strict&quot;: both encodings for each string must match &quot;strong&quot;: the primary encoding for each string must match &quot;normal&quot;: the primary encoding of one string must match either encoding of other string (default) &quot;weak&quot;: either primary or secondary encoding of one string must match one encoding of other string match_at : an algorith score equal to or above this value is condsidered a match. Default is 0.9 ngram_size : number of contiguous letters to split strings into. Default is 2. short_length : qualifies as &quot;short&quot; to recieve a shortness boost. Used by Name Metric. Default is 8. stem : boolean representing whether to compare the stemmed version the strings; uses Stemmer. Default false","ref":"Akin.html","title":"Akin","type":"module"},{"doc":"Compare two strings. Return map of algorithm metrics. Options accepted as a keyword list. If no options are given, default values will be used.","ref":"Akin.html#compare/3","title":"Akin.compare/3","type":"function"},{"doc":"Compare a string to a string with logic specific to names. Matches are determined by algorithem metrics equal to or higher than the match_at option. Return a list of strings that are a likely match and their algorithm metrics.","ref":"Akin.html#match_name_metrics/3","title":"Akin.match_name_metrics/3","type":"function"},{"doc":"Compare a string against a list of strings. Matches are determined by algorithem metrics equal to or higher than the match_at option. Return a list of strings that are a likely match.","ref":"Akin.html#match_names/3","title":"Akin.match_names/3","type":"function"},{"doc":"Compare a string against a list of strings. Matches are determined by algorithem metrics equal to or higher than the match_at option. Return a list of strings that are a likely match and their algorithm metrics.","ref":"Akin.html#match_names_metrics/3","title":"Akin.match_names_metrics/3","type":"function"},{"doc":"Returns list of unique phonetic encodings produces by the single and double metaphone algorithms.","ref":"Akin.html#phonemes/1","title":"Akin.phonemes/1","type":"function"},{"doc":"Function to calculate the Bag Distance between two strings","ref":"Akin.BagDistance.html","title":"Akin.BagDistance","type":"module"},{"doc":"Callback implementation for Akin.Task.compare/2 .","ref":"Akin.BagDistance.html#compare/2","title":"Akin.BagDistance.compare/2","type":"function"},{"doc":"Calculates the Bag Distance between two given strings Examples iex&gt; Akin.BagDistance.compare(%Akin.Corpus{string: &quot;contact&quot;}, %Akin.Corpus{string: &quot;context&quot;}) 0.7142857142857143","ref":"Akin.BagDistance.html#compare/3","title":"Akin.BagDistance.compare/3","type":"function"},{"doc":"Struct to hold the multi-form elements which results from normalizing, splitting, and stemming the string prior to comparison with another string: MapSet, List, String, and Stemmed List. In Linguistics, a corpus is a collection of written or spoken eleemtns in machine-readable form, made to study linguistic structures, frequencies, etc.","ref":"Akin.Corpus.html","title":"Akin.Corpus","type":"module"},{"doc":"Compares two values phonetically and returns a boolean of whether they match using the level in opts. Match calculated using the Double Metaphone Phonetic Algorithm .","ref":"Akin.DoubleMetaphone.html","title":"Akin.DoubleMetaphone","type":"module"},{"doc":"Compare two strings using the double metaphoen algorithm","ref":"Akin.DoubleMetaphone.html#compare/3","title":"Akin.DoubleMetaphone.compare/3","type":"function"},{"doc":"Functions to calculate the Hamming Distance between 2 given strings. The Hamming Distance is the the smallest number of substitutions needed to change one string into the other string. If the strings are not the same length, nil is returned If the string are equal, 0.0 is returned.","ref":"Akin.Hamming.html","title":"Akin.Hamming","type":"module"},{"doc":"Callback implementation for Akin.Task.compare/2 .","ref":"Akin.Hamming.html#compare/2","title":"Akin.Hamming.compare/2","type":"function"},{"doc":"Calculates the Hamming distance between 2 given strings. Examples iex&gt; Akin.Hamming.compare(%Akin.Corpus{string: &quot;toned&quot;}, %Akin.Corpus{string: &quot;roses&quot;}, []) 0.6 iex&gt; Akin.Hamming.compare(%Akin.Corpus{string: &quot;toned&quot;}, %Akin.Corpus{string: &quot;peanut&quot;}, []) nil iex&gt; Akin.Hamming.compare(%Akin.Corpus{string: &quot;toned&quot;}, %Akin.Corpus{string: &quot;toned&quot;}, []) 0.0","ref":"Akin.Hamming.html#compare/3","title":"Akin.Hamming.compare/3","type":"function"},{"doc":"Functions to compare strings of different lengths.","ref":"Akin.Helper.SubstringComparison.html","title":"Akin.Helper.SubstringComparison","type":"module"},{"doc":"Determine the substring similarity of two strings as a float between 0 and 1.","ref":"Akin.Helper.SubstringComparison.html#similarity/2","title":"Akin.Helper.SubstringComparison.similarity/2","type":"function"},{"doc":"Function specific to the comparison and matching of names. Returns matching names and metrics.","ref":"Akin.Helpers.InitialsComparison.html","title":"Akin.Helpers.InitialsComparison","type":"module"},{"doc":"","ref":"Akin.Helpers.InitialsComparison.html#cartesian_initials/2","title":"Akin.Helpers.InitialsComparison.cartesian_initials/2","type":"function"},{"doc":"","ref":"Akin.Helpers.InitialsComparison.html#similarity/2","title":"Akin.Helpers.InitialsComparison.similarity/2","type":"function"},{"doc":"","ref":"Akin.Helpers.InitialsComparison.html#similarity/3","title":"Akin.Helpers.InitialsComparison.similarity/3","type":"function"},{"doc":"Functions to calculate the Jaccard similarity between two strings","ref":"Akin.Jaccard.html","title":"Akin.Jaccard","type":"module"},{"doc":"Calculates the Jaccard similarity coefficient between two given strings with the specified ngram size Examples iex&gt; Akin.Jaccard.compare(%Akin.Corpus{string: &quot;contact&quot;}, %Akin.Corpus{string: &quot;context&quot;}, [ngram_size: 3]) 0.25 iex&gt; Akin.Jaccard.compare(%Akin.Corpus{string: &quot;contact&quot;}, %Akin.Corpus{string: &quot;context&quot;}, [ngram_size: 1]) 0.5555555555555556","ref":"Akin.Jaccard.html#compare/3","title":"Akin.Jaccard.compare/3","type":"function"},{"doc":"Calculates the Jaro-Winkler Distance between two strings.","ref":"Akin.JaroWinkler.html","title":"Akin.JaroWinkler","type":"module"},{"doc":"Callback implementation for Akin.Task.compare/2 .","ref":"Akin.JaroWinkler.html#compare/2","title":"Akin.JaroWinkler.compare/2","type":"function"},{"doc":"Calculates the Jaro-Winkler distance between two strings. Examples iex&gt; Akin.JaroWinkler.compare(%Akin.Corpus{string: &quot;abc&quot;}, %Akin.Corpus{string: &quot;&quot;}) 0.0 iex&gt; Akin.JaroWinkler.compare(%Akin.Corpus{string: &quot;abc&quot;}, %Akin.Corpus{string: &quot;xyz&quot;}) 0.0 iex&gt; Akin.JaroWinkler.compare(%Akin.Corpus{string: &quot;compare me&quot;}, %Akin.Corpus{string: &quot;compare me&quot;}) 1.0 iex&gt; Akin.JaroWinkler.compare(%Akin.Corpus{string: &quot;natural&quot;}, %Akin.Corpus{string: &quot;nothing&quot;}) 0.5714285714285714","ref":"Akin.JaroWinkler.html#compare/3","title":"Akin.JaroWinkler.compare/3","type":"function"},{"doc":"Modifies the prefix scale, which gives a more favorable rating to strings that match from the beginning.","ref":"Akin.JaroWinkler.html#modify_prefix/2","title":"Akin.JaroWinkler.modify_prefix/2","type":"function"},{"doc":"","ref":"Akin.JaroWinkler.html#modify_prefix/4","title":"Akin.JaroWinkler.modify_prefix/4","type":"function"},{"doc":"Score the distance between two strings using String.jaro/2.","ref":"Akin.JaroWinkler.html#score/2","title":"Akin.JaroWinkler.score/2","type":"function"},{"doc":"Compare two strings for their Levenshtein score.","ref":"Akin.Levenshtein.html","title":"Akin.Levenshtein","type":"module"},{"doc":"Callback implementation for Akin.Task.compare/2 .","ref":"Akin.Levenshtein.html#compare/2","title":"Akin.Levenshtein.compare/2","type":"function"},{"doc":"The score is determined by finding the edit distance: the minimum number of single-character edits needed to change one word into the other. The distance is substracted from 1.0 and then divided by the longest length between the two strings. Result is rounded to the tenths.","ref":"Akin.Levenshtein.html#compare/3","title":"Akin.Levenshtein.compare/3","type":"function"},{"doc":"","ref":"Akin.ML.html","title":"Akin.ML","type":"module"},{"doc":"","ref":"Akin.ML.html#tangram_data/0","title":"Akin.ML.tangram_data/0","type":"function"},{"doc":"","ref":"Akin.ML.html#training_data/0","title":"Akin.ML.training_data/0","type":"function"},{"doc":"Calculates the Metaphone Phonetic Algorithm metric of two strings.","ref":"Akin.Metaphone.html","title":"Akin.Metaphone","type":"module"},{"doc":"Callback implementation for Akin.Task.compare/2 .","ref":"Akin.Metaphone.html#compare/2","title":"Akin.Metaphone.compare/2","type":"function"},{"doc":"Compares two values phonetically. Return 1 if phonetic representations match, 0 if not. Examples iex&gt; Akin.Metaphone.compare(Akin.Util.compose(&quot;Colorado&quot;), Akin.Util.compose(&quot;Kolorado&quot;)) 1.0 iex&gt; Akin.Metaphone.compare(Akin.Util.compose(&quot;Moose&quot;), Akin.Util.compose(&quot;Elk&quot;)) 0.0","ref":"Akin.Metaphone.html#compare/3","title":"Akin.Metaphone.compare/3","type":"function"},{"doc":"The original Metaphone algorithm was published in 1990 as an improvement over the Soundex algorithm. Like Soundex, it was limited to English-only use. The Metaphone algorithm does not produce phonetic representations of an input word or name; rather, the output is an intentionally approximate phonetic representation. The approximate encoding is necessary to account for the way speakers vary their pronunciations and misspell or otherwise vary words and names they are trying to spell. The Double Metaphone phonetic encoding algorithm is the second generation of the Metaphone algorithm. Its implementation was described in the June 2000 issue of C/C++ Users Journal. It makes a number of fundamental design improvements over the original Metaphone algorithm. It is called &quot;Double&quot; because it can return both a primary and a secondary code for a string; this accounts for some ambiguous cases as well as for multiple variants of surnames with common ancestry. For example, encoding the name &quot;Smith&quot; yields a primary code of SM0 and a secondary code of XMT, while the name &quot;Schmidt&quot; yields a primary code of XMT and a secondary code of SMT--both have XMT in common. Double Metaphone tries to account for myriad irregularities in English of Slavic, Germanic, Celtic, Greek, French, Italian, Spanish, Chinese, and other origin. Thus it uses a much more complex ruleset for coding than its predecessor; for example, it tests for approximately 100 different contexts of the use of the letter C alone. This script implements the Double Metaphone algorithm (c) 1998, 1999 originally implemented by Lawrence Philips in C++. It was further modified in C++ by Kevin Atkinson ( http://aspell.net/metaphone/). It was translated to C by Maurice Aubrey maurice@hevanet.com for use in a Perl extension. A Python version was created by Andrew Collins on January 12, 2007, using the C source ( http://www.atomodo.com/code/double-metaphone/metaphone.py/view). This version is based on the python version. The next key in the struct is used set to a tuple of the next characters in the primary and secondary codes and to indicate how many characters to move forward in the string. The secondary code letter is given only when it is different than the primary. This is an effort to make the code easier to write and read. The default action is to add nothing and move to next char.","ref":"Akin.Metaphone.Double.html","title":"Akin.Metaphone.Double","type":"module"},{"doc":"Skip silent letters at the start of a word or replace the X if the word starts with X as in Xavier with an S","ref":"Akin.Metaphone.Double.html#check_word_start/1","title":"Akin.Metaphone.Double.check_word_start/1","type":"function"},{"doc":"Compare two strings, returning the outcome of the comparison using the strictness of the level. &quot;strict&quot;: both encodings for each string must match &quot;strong&quot;: the primary encoding for each string must match &quot;normal&quot;: the primary encoding of one string must match either encoding of other string (default) &quot;weak&quot;: either primary or secondary encoding of one string must match one encoding of other string","ref":"Akin.Metaphone.Double.html#compare/3","title":"Akin.Metaphone.Double.compare/3","type":"function"},{"doc":"Initialize the struct","ref":"Akin.Metaphone.Double.html#init/1","title":"Akin.Metaphone.Double.init/1","type":"function"},{"doc":"","ref":"Akin.Metaphone.Double.html#letter_at_position/2","title":"Akin.Metaphone.Double.letter_at_position/2","type":"function"},{"doc":"","ref":"Akin.Metaphone.Double.html#letter_at_position/3","title":"Akin.Metaphone.Double.letter_at_position/3","type":"function"},{"doc":"Iterate input characters","ref":"Akin.Metaphone.Double.html#parse/1","title":"Akin.Metaphone.Double.parse/1","type":"function"},{"doc":"","ref":"Akin.Metaphone.Double.html#parse/4","title":"Akin.Metaphone.Double.parse/4","type":"function"},{"doc":"Handle conditional cases for different letters. Update phoenemes in the next param of the metaphone struct and return the struct.","ref":"Akin.Metaphone.Double.html#process/2","title":"Akin.Metaphone.Double.process/2","type":"function"},{"doc":"All initial vowels map to &quot;A&quot;","ref":"Akin.Metaphone.Double.html#process_initial_vowels/2","title":"Akin.Metaphone.Double.process_initial_vowels/2","type":"function"},{"doc":"Accept two lists. Loop through a cartesian product of the two lists. Using a reducer, iterate over the levels. For each level, compare the item sets using compare/3. The first, if any, level to return a true value from compare/3 stops the reducer and percentage of true values found. Otherwise the reducer continues. 0 is returned if no comparison returns true at any level. &quot;strict&quot;: both encodings for each string must match &quot;strong&quot;: the primary encoding for each string must match &quot;normal&quot;: the primary encoding of one string must match either encoding of other string (default) &quot;weak&quot;: either primary or secondary encoding of one string must match one encoding of other string","ref":"Akin.Metaphone.Double.html#substring_compare/3","title":"Akin.Metaphone.Double.substring_compare/3","type":"function"},{"doc":"Calculates the Metaphone Phonetic Algorithm of a string.","ref":"Akin.Metaphone.Single.html","title":"Akin.Metaphone.Single","type":"module"},{"doc":"Returns the Metaphone phonetic version of the provided string. ## Examples iex&gt; Akin.Metaphone.Single . compute ( &quot;z&quot; ) &quot;s&quot; iex&gt; Akin.Metaphone.Single . compute ( &quot;ztiaz&quot; ) &quot;sxs&quot;","ref":"Akin.Metaphone.Single.html#compute/1","title":"Akin.Metaphone.Single.compute/1","type":"function"},{"doc":"Transcodes the rest of the string using the Metaphone algorithm. p = processed values c = current character r = remaining values o = output","ref":"Akin.Metaphone.Single.html#transcode/1","title":"Akin.Metaphone.Single.transcode/1","type":"function"},{"doc":"","ref":"Akin.Metaphone.Single.html#transcode/4","title":"Akin.Metaphone.Single.transcode/4","type":"function"},{"doc":"Transcodes the first character of the string using the Metaphone algorithm.","ref":"Akin.Metaphone.Single.html#transcode_first_character/1","title":"Akin.Metaphone.Single.transcode_first_character/1","type":"function"},{"doc":"Function specific to the comparison and matching of names. Returns matching names and metrics.","ref":"Akin.Names.html","title":"Akin.Names","type":"module"},{"doc":"Manage the steps of comparing two names. Collect metrics from the algorithms requested in the options or the default algorithms. Give weight to the consideration of initials and permutation of non-initialed name parts (i.e. &quot;di constanzo&quot; in &quot;j p di constanzo&quot;. Weight is applied to the algorithm metrics.","ref":"Akin.Names.html#compare/3","title":"Akin.Names.compare/3","type":"function"},{"doc":"Functions to calculate the ngram distance between two given strings based on this paper","ref":"Akin.Ngram.html","title":"Akin.Ngram","type":"module"},{"doc":"Calculates the ngram similarity between two given strings with a specified ngram size Examples iex&gt; Akin.Ngram.compare(%Akin.Corpus{string: &quot;night&quot;}, %Akin.Corpus{string: &quot;naght&quot;}, [ngram_size: 3]) 0.3333333333333333 iex&gt; Akin.Ngram.compare(%Akin.Corpus{string: &quot;context&quot;}, %Akin.Corpus{string: &quot;contact&quot;}, [ngram_size: 1]) 0.7142857142857143","ref":"Akin.Ngram.html#compare/3","title":"Akin.Ngram.compare/3","type":"function"},{"doc":"Implements the Overlap Similarity Metric.","ref":"Akin.Overlap.html","title":"Akin.Overlap","type":"module"},{"doc":"Compares two values using the Overlap Similarity metric and returns the coefficient. It takes the ngram size as the third argument. Examples iex&gt; Akin.Overlap.compare(%Akin.Corpus{string: &quot;compare me&quot;}, %Akin.Corpus{string: &quot;to me&quot;}, []) 0.5 iex&gt; Akin.Overlap.compare(%Akin.Corpus{string: &quot;compare me&quot;}, %Akin.Corpus{string: &quot;to me&quot;}, [ngram_size: 1]) 0.8 iex&gt; Akin.Overlap.compare(%Akin.Corpus{string: &quot;or me&quot;}, %Akin.Corpus{string: &quot;me&quot;}, [ngram_size: 1]) 1.0","ref":"Akin.Overlap.html#compare/3","title":"Akin.Overlap.compare/3","type":"function"},{"doc":"Functions to calculate the Sorensen-Dice coefficient of two strings.","ref":"Akin.SorensenDice.html","title":"Akin.SorensenDice","type":"module"},{"doc":"Calculates the Sorensen-Dice coefficient of two given strings with a specified ngram size passed as the third argument. Examples iex&gt; Akin.SorensenDice.compare(%Akin.Corpus{string: &quot;night&quot;}, %Akin.Corpus{string: &quot;nacht&quot;}, [ngram_size: 1]) 0.6 iex&gt; Akin.SorensenDice.compare(%Akin.Corpus{string: &quot;night&quot;}, %Akin.Corpus{string: &quot;nacht&quot;}, []) 0.25 iex&gt; Akin.SorensenDice.compare(%Akin.Corpus{string: &quot;night&quot;}, %Akin.Corpus{string: &quot;nacht&quot;}, [ngram_size: 3]) 0.0","ref":"Akin.SorensenDice.html#compare/3","title":"Akin.SorensenDice.compare/3","type":"function"},{"doc":"Determine whether all comparison functions should use the simple ratio function or the substring ratio function.","ref":"Akin.Strategy.html","title":"Akin.Strategy","type":"module"},{"doc":"","ref":"Akin.Strategy.html#determine/2","title":"Akin.Strategy.determine/2","type":"function"},{"doc":"","ref":"Akin.Strategy.html#determine/4","title":"Akin.Strategy.determine/4","type":"function"},{"doc":"Tokenize the search terms into lists split by white space and compare the cartesian product of the lists. Examples iex&gt; left = &quot;Alice Liddel&quot; iex&gt; right = &quot;Liddel, Alice&quot; iex&gt; Akin.compare(left, right, [algorithms: [&quot;substring_double_metaphone&quot;]]) %{double_metaphone: 1.0} iex&gt; right = &quot;Alice P Liddel&quot; iex&gt; Akin.compare(left, right, [algorithms: [&quot;substring_double_metaphone&quot;]]) %{substring_double_metaphone: 1.0} iex&gt; right = &quot;Alice Hargreaves&quot; iex&gt; Akin.compare(left, right, [algorithms: [&quot;substring_double_metaphone&quot;]]) %{substring_double_metaphone: 0.5}","ref":"Akin.SubstringDoubleMetaphone.html","title":"Akin.SubstringDoubleMetaphone","type":"module"},{"doc":"Compares two lists of values phonetically and returns a boolean of whether they match reducing all possible matching levels.","ref":"Akin.SubstringDoubleMetaphone.html#compare/3","title":"Akin.SubstringDoubleMetaphone.compare/3","type":"function"},{"doc":"Functions for string comparsion where common words between the strings are compared in sets. Two sets #MapSet&lt;[&quot;alice&quot;, &quot;in&quot;, &quot;wonderland&quot;]&gt; #MapSet&lt;[&quot;adventures&quot;, &quot;alice&quot;, &quot;glass&quot;, &quot;looking&quot;, &quot;s&quot;, &quot;the&quot;, &quot;through&quot;]&gt; Commonality common_words = &quot;alice&quot; common_words_plus_remaining_words_left = &quot;aliceinwonderland&quot; common_words_plus_remaining_words_right = &quot;aliceadventuresglasslookingsthethrough&quot; Ratio is based on difference in string length if words are of similar in length according to Akin.Strategy.determine/2 ratio is String.jaro_distance if words are of dissimilar in length according to Akin.Strategy.determine/2 ratio is Akin.SubstringComparison.similarity/2 @ratio scale (determined by Akin.Strategy) Match level is based on opt :level &quot;normal&quot; returns average ratio &quot;weak&quot; returns maximum ratio","ref":"Akin.SubstringSet.html","title":"Akin.SubstringSet","type":"module"},{"doc":"Callback implementation for Akin.Task.compare/3 .","ref":"Akin.SubstringSet.html#compare/3","title":"Akin.SubstringSet.compare/3","type":"function"},{"doc":"Use Chunk Sorting to compare two strings using substrings. Ratio is based on difference in string length if words are of similar in length according to Akin.Strategy.determine/2 ratio is String.jaro_distance if words are of dissimilar in length according to Akin.Strategy.determine/2 ratio is Akin.SubstringComparison.similarity/2 @ratio scale (determined by Akin.Strategy)","ref":"Akin.SubstringSort.html","title":"Akin.SubstringSort","type":"module"},{"doc":"This strategy splits the strings on spaces, sorts the list of strings, joins them together again, and then compares them by applying the Jaro-Winkler distance metric. Examples iex&gt; Akin.SubstringSort.compare(Akin.Util.compose(&quot;Alice in Wonderland&quot;), Akin.Util.compose(&quot;Alice's Adventures in Wonderland&quot;)) 0.63 iex&gt; StringCompare.SubstringSort.substring_similarity(&quot;Oscar-Claude Monet&quot;}, %Akin.Corpus{string: &quot;Monet, Claude&quot;}, Akin.Util.compose(&quot;Alice's Adventures in Wonderland&quot;)) 1.0","ref":"Akin.SubstringSort.html#compare/3","title":"Akin.SubstringSort.compare/3","type":"function"},{"doc":"API for all string comparison modules.","ref":"Akin.Task.html","title":"Akin.Task","type":"behaviour"},{"doc":"","ref":"Akin.Task.html#c:compare/2","title":"Akin.Task.compare/2","type":"callback"},{"doc":"","ref":"Akin.Task.html#c:compare/3","title":"Akin.Task.compare/3","type":"callback"},{"doc":"Functions to calculate the Tversky index between two strings.","ref":"Akin.Tversky.html","title":"Akin.Tversky","type":"module"},{"doc":"Calculates the Tversky index between two strings. Default alpha is 1 and beta is 1. ngram_size is a positive integer greater than 0 used to tokenize the strings Examples iex&gt; Akin.Tversky.compare(%Akin.Corpus{string: &quot;contact&quot;}, %Akin.Corpus{string: &quot;context&quot;}, [ngram_size: 4]) 0.14285714285714285 iex&gt; Akin.Tversky.compare(%Akin.Corpus{string: &quot;contact&quot;}, %Akin.Corpus{string: &quot;context&quot;}) 0.3333333333333333 iex&gt; Akin.Tversky.compare(%Akin.Corpus{string: &quot;contact&quot;}, %Akin.Corpus{string: &quot;context&quot;}, [ngram_size: 1]) 0.5555555555555556","ref":"Akin.Tversky.html#compare/3","title":"Akin.Tversky.compare/3","type":"function"},{"doc":"Utilities for string preparation, manipulation, comparison, and inspection.","ref":"Akin.Util.html","title":"Akin.Util","type":"module"},{"doc":"","ref":"Akin.Util.html#compose/1","title":"Akin.Util.compose/1","type":"function"},{"doc":"Convert string to downcase and unicode standard, standardize whitespace, replace nontext (like emojis), replace punctuation, and convert accents. Then compose a string into a corpus of values for disambiguation. Returns nil when given non-binary. )","ref":"Akin.Util.html#compose/2","title":"Akin.Util.compose/2","type":"function"},{"doc":"Removes duplicates from a string (except for c and the final letter). Used in metaphone algorithm.","ref":"Akin.Util.html#deduplicate/1","title":"Akin.Util.deduplicate/1","type":"function"},{"doc":"Return the default option values","ref":"Akin.Util.html#default_opts/0","title":"Akin.Util.default_opts/0","type":"function"},{"doc":"Compares two values for equality","ref":"Akin.Util.html#eq?/2","title":"Akin.Util.eq?/2","type":"function"},{"doc":"Finds the intersection of two lists. If Strings are provided, it uses the codepoints of said string.","ref":"Akin.Util.html#intersect/2","title":"Akin.Util.intersect/2","type":"function"},{"doc":"Checks to see if a string is alphabetic.","ref":"Akin.Util.html#is_alphabetic?/1","title":"Akin.Util.is_alphabetic?/1","type":"function"},{"doc":"Return the length of a string.","ref":"Akin.Util.html#len/1","title":"Akin.Util.len/1","type":"function"},{"doc":"Return a list of algorithms. Accepts a list of algorithm names or a keyword list of options. Default returns all available. Options Default metric &quot;string&quot; &quot;phonetic&quot; both unit &quot;whole&quot; &quot;partial&quot; both","ref":"Akin.Util.html#list_algorithms/0","title":"Akin.Util.list_algorithms/0","type":"function"},{"doc":"","ref":"Akin.Util.html#list_algorithms/1","title":"Akin.Util.list_algorithms/1","type":"function"},{"doc":"","ref":"Akin.Util.html#list_algorithms/3","title":"Akin.Util.list_algorithms/3","type":"function"},{"doc":"Camelize input and return as an existing atom, as in referencing functions through apply","ref":"Akin.Util.html#modulize/1","title":"Akin.Util.modulize/1","type":"function"},{"doc":"","ref":"Akin.Util.html#ngram_tokenize/1","title":"Akin.Util.ngram_tokenize/1","type":"function"},{"doc":"Tokenizes the input into N-grams ( http://en.wikipedia.org/wiki/N-gram).","ref":"Akin.Util.html#ngram_tokenize/2","title":"Akin.Util.ngram_tokenize/2","type":"function"},{"doc":"Take the value for the key from the options. If not present, use the default value from the default options list.","ref":"Akin.Util.html#opts/2","title":"Akin.Util.opts/2","type":"function"},{"doc":"Round data types that can be rounded to 2 decimal points.","ref":"Akin.Util.html#r/1","title":"Akin.Util.r/1","type":"function"},{"doc":"If the conditions are met, replace character with white space. The right condition is when either but noth both the left or right strings contains the character. Accepts a left string and a right string or a right list of strings and list of characters to replace. Returns a tuple containing left and right with replacements, if replacements were made. Otherwise, the tuple contains the original strings.","ref":"Akin.Util.html#replace_cond/3","title":"Akin.Util.replace_cond/3","type":"function"},{"doc":"","ref":"CSVParse.html","title":"CSVParse","type":"module"},{"doc":"Callback implementation for NimbleCSV.dump_to_iodata/1 .","ref":"CSVParse.html#dump_to_iodata/1","title":"CSVParse.dump_to_iodata/1","type":"function"},{"doc":"Callback implementation for NimbleCSV.dump_to_stream/1 .","ref":"CSVParse.html#dump_to_stream/1","title":"CSVParse.dump_to_stream/1","type":"function"},{"doc":"Callback implementation for NimbleCSV.parse_enumerable/2 .","ref":"CSVParse.html#parse_enumerable/2","title":"CSVParse.parse_enumerable/2","type":"function"},{"doc":"Callback implementation for NimbleCSV.parse_stream/2 .","ref":"CSVParse.html#parse_stream/2","title":"CSVParse.parse_stream/2","type":"function"},{"doc":"Callback implementation for NimbleCSV.parse_string/2 .","ref":"CSVParse.html#parse_string/2","title":"CSVParse.parse_string/2","type":"function"},{"doc":"","ref":"Word.html","title":"Word","type":"module"},{"doc":"","ref":"Word.html#get_letters/3","title":"Word.get_letters/3","type":"function"},{"doc":"","ref":"Word.html#init/1","title":"Word.init/1","type":"function"},{"doc":"","ref":"Word.html#is_slavo_germanic?/1","title":"Word.is_slavo_germanic?/1","type":"function"},{"doc":"","ref":"Word.html#normalize/1","title":"Word.normalize/1","type":"function"}]